Index: trunk/abdev/BasicCompiler_Common/src/CommonCodeGenerator.cpp
===================================================================
--- trunk/abdev/BasicCompiler_Common/src/CommonCodeGenerator.cpp	(revision 248)
+++ trunk/abdev/BasicCompiler_Common/src/CommonCodeGenerator.cpp	(revision 250)
@@ -158,43 +158,43 @@
 	return pPertialSchedule;
 }
-const PertialSchedule *CodeGenerator::op_jle( long offset, int op_size, bool isPertialSchedule )
-{
-	return __jmp_op_format( (char)0x0E, offset, op_size, isPertialSchedule );
-}
-const PertialSchedule *CodeGenerator::op_jbe( long offset, int op_size, bool isPertialSchedule )
-{
-	return __jmp_op_format( (char)0x06, offset, op_size, isPertialSchedule );
-}
-const PertialSchedule *CodeGenerator::op_jge( long offset, int op_size, bool isPertialSchedule )
-{
-	return __jmp_op_format( (char)0x0D, offset, op_size, isPertialSchedule );
-}
-const PertialSchedule *CodeGenerator::op_jae( long offset, int op_size, bool isPertialSchedule )
-{
-	return __jmp_op_format( (char)0x03, offset, op_size, isPertialSchedule );
-}
-const PertialSchedule *CodeGenerator::op_jl( long offset, int op_size, bool isPertialSchedule )
-{
-	return __jmp_op_format( (char)0x0C, offset, op_size, isPertialSchedule );
-}
-const PertialSchedule *CodeGenerator::op_jb( long offset, int op_size, bool isPertialSchedule )
-{
-	return __jmp_op_format( (char)0x02, offset, op_size, isPertialSchedule );
-}
-const PertialSchedule *CodeGenerator::op_jg( long offset, int op_size, bool isPertialSchedule )
-{
-	return __jmp_op_format( (char)0x0F, offset, op_size, isPertialSchedule );
-}
-const PertialSchedule *CodeGenerator::op_ja( long offset, int op_size, bool isPertialSchedule )
-{
-	return __jmp_op_format( (char)0x07, offset, op_size, isPertialSchedule );
-}
-const PertialSchedule *CodeGenerator::op_jne( long offset, int op_size, bool isPertialSchedule )
-{
-	return __jmp_op_format( (char)0x05, offset, op_size, isPertialSchedule );
-}
-const PertialSchedule *CodeGenerator::op_je( long offset, int op_size, bool isPertialSchedule )
-{
-	return __jmp_op_format( (char)0x04, offset, op_size, isPertialSchedule );
+const PertialSchedule *CodeGenerator::op_jle( long offset, int op_size, bool isPertialSchedule, bool isSelfOpcodeOffset )
+{
+	return __jmp_op_format( (char)0x0E, offset, op_size, isPertialSchedule, isSelfOpcodeOffset );
+}
+const PertialSchedule *CodeGenerator::op_jbe( long offset, int op_size, bool isPertialSchedule, bool isSelfOpcodeOffset )
+{
+	return __jmp_op_format( (char)0x06, offset, op_size, isPertialSchedule, isSelfOpcodeOffset );
+}
+const PertialSchedule *CodeGenerator::op_jge( long offset, int op_size, bool isPertialSchedule, bool isSelfOpcodeOffset )
+{
+	return __jmp_op_format( (char)0x0D, offset, op_size, isPertialSchedule, isSelfOpcodeOffset );
+}
+const PertialSchedule *CodeGenerator::op_jae( long offset, int op_size, bool isPertialSchedule, bool isSelfOpcodeOffset )
+{
+	return __jmp_op_format( (char)0x03, offset, op_size, isPertialSchedule, isSelfOpcodeOffset );
+}
+const PertialSchedule *CodeGenerator::op_jl( long offset, int op_size, bool isPertialSchedule, bool isSelfOpcodeOffset )
+{
+	return __jmp_op_format( (char)0x0C, offset, op_size, isPertialSchedule, isSelfOpcodeOffset );
+}
+const PertialSchedule *CodeGenerator::op_jb( long offset, int op_size, bool isPertialSchedule, bool isSelfOpcodeOffset )
+{
+	return __jmp_op_format( (char)0x02, offset, op_size, isPertialSchedule, isSelfOpcodeOffset );
+}
+const PertialSchedule *CodeGenerator::op_jg( long offset, int op_size, bool isPertialSchedule, bool isSelfOpcodeOffset )
+{
+	return __jmp_op_format( (char)0x0F, offset, op_size, isPertialSchedule, isSelfOpcodeOffset );
+}
+const PertialSchedule *CodeGenerator::op_ja( long offset, int op_size, bool isPertialSchedule, bool isSelfOpcodeOffset )
+{
+	return __jmp_op_format( (char)0x07, offset, op_size, isPertialSchedule, isSelfOpcodeOffset );
+}
+const PertialSchedule *CodeGenerator::op_jne( long offset, int op_size, bool isPertialSchedule, bool isSelfOpcodeOffset )
+{
+	return __jmp_op_format( (char)0x05, offset, op_size, isPertialSchedule, isSelfOpcodeOffset );
+}
+const PertialSchedule *CodeGenerator::op_je( long offset, int op_size, bool isPertialSchedule, bool isSelfOpcodeOffset )
+{
+	return __jmp_op_format( (char)0x04, offset, op_size, isPertialSchedule, isSelfOpcodeOffset );
 }
 const PertialSchedule *CodeGenerator::op_jmp( long offset, int op_size, bool isPertialSchedule, bool isSelfOpcodeOffset )
